from Crypto.PublicKey import RSA
from Crypto.Random import get_random_bytes

# Generiere RSA-Schlüssel und speichere sie
def main():
    private_key = RSA.generate(2048)
    public_key = private_key.publickey()
    
    # Speichern der privaten und öffentlichen Schlüssel
    with open('private.pem', 'wb') as private_file:
        private_file.write(private_key.export_key())
    
    with open('public.pem', 'wb') as public_file:
        public_file.write(public_key.export_key())
        
    print("RSA-Schlüssel wurden generiert und gespeichert.")

if __name__ == '__main__':
    main()
